MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002811VCMIGUI - Battlespublic2017-10-13 19:252018-02-08 08:51
Reportermisiokles 
Assigned ToAVS 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformPCOSOS Version
Product Version0.99 
Target VersionFixed in Version0.next 
Summary0002811: [Feature request] More info in initiative bar.
DescriptionInitiative bar in the one of the greatest things in vcmi. But can be better. What about additional icons in right-bottom corner of creature square? For example - if creature is in waiting mode - waiting icon is shown. And the same with defend mode - small indicator that creature is in that state will be helpfull.
TagsNo tags attached.
Attached Filespng file icon icons.png [^] (21,049 bytes) 2017-10-13 19:48

- Relationships

-  Notes
(0007299)
AVS (administrator)
2017-10-13 19:33

At first need that icons
(0007300)
Nephretes (reporter)
2017-10-13 19:49

I can prepare them if I know how they should look, what size and where they should be placed. I have uploaded quick proposition
(0007301)
misiokles (reporter)
2017-10-13 20:06

Nephretes made these icons in .xcf file [opened by Gimp].
(0007302)
AVS (administrator)
2017-10-13 20:29

Next part is create pull request with at least .xcf file to https://github.com/vcmi/vcmi-assets [^]
(0007306)
misiokles (reporter)
2017-10-14 17:41

done.
https://github.com/vcmi/vcmi-assets/pull/1 [^]
(0007307)
AVS (administrator)
2017-10-14 19:08

Next question: what to do with small queue size (even small icon is for large queue)? Also, what is large icon for?
(0007308)
AVS (administrator)
2017-10-14 19:34

Anyway, accepted as part of https://github.com/vcmi/vcmi/pull/359 [^]
(0007309)
misiokles (reporter)
2017-10-14 19:49

Large icons is 'original' battle-def sized icon for everyone who would have better idea how to use them in bar. And you have right - small queue size it's a problem to fit these icons. Maybe some colour indicator? Green bar/border - wait stage, blue - defend stage...
(0007310)
AVS (administrator)
2017-10-14 19:53

Implemented for large queue for now in PR359
(0007392)
SXX (administrator)
2018-02-08 08:51

PR 359 has landed into develop.

- Issue History
Date Modified Username Field Change
2017-10-13 19:25 misiokles New Issue
2017-10-13 19:33 AVS Note Added: 0007299
2017-10-13 19:48 Nephretes File Added: icons.png
2017-10-13 19:49 Nephretes Note Added: 0007300
2017-10-13 20:06 misiokles Note Added: 0007301
2017-10-13 20:29 AVS Note Added: 0007302
2017-10-14 16:57 AVS Severity minor => feature
2017-10-14 16:57 AVS Reproducibility have not tried => N/A
2017-10-14 16:57 AVS OS Windows =>
2017-10-14 16:57 AVS OS Version 10 =>
2017-10-14 17:41 misiokles Note Added: 0007306
2017-10-14 19:08 AVS Note Added: 0007307
2017-10-14 19:33 AVS Assigned To => AVS
2017-10-14 19:33 AVS Status new => assigned
2017-10-14 19:34 AVS Note Added: 0007308
2017-10-14 19:49 misiokles Note Added: 0007309
2017-10-14 19:53 AVS Note Added: 0007310
2018-02-08 08:51 SXX Note Added: 0007392
2018-02-08 08:51 SXX Status assigned => resolved
2018-02-08 08:51 SXX Fixed in Version => 0.next
2018-02-08 08:51 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean